package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProTableAuthDAO;
import com.philisense.www.mapper.ProTableAuthMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ProTableAuthDAOImpl implements ProTableAuthDAO {
        @Autowired
        private ProTableAuthMapper proTableAuthMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proTableAuthMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proTableAuthMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proTableAuthMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proTableAuthMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proTableAuthMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proTableAuthMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proTableAuthMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proTableAuthMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proTableAuthMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proTableAuthMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proTableAuthMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proTableAuthMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proTableAuthMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> getPageProTablesByAuthId(Map<String, Object> map) {
            return proTableAuthMapper.getPageProTablesByAuthId(map);
        }

        @Override
        public int getCountProTablesByAuthId(Map<String, Object> map) {
            return proTableAuthMapper.getCountProTablesByAuthId(map);
        }
}
